Alfresco Community 6.2.0-ga ZIP installation / upgrade from 6.0.7 errors

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Active Member

Alfresco Community 6.2.0-ga ZIP installation / upgrade from 6.0.7 errors

I am not an Alfresco user, just tasked with upgrading our ACE 4.2.c to the latest ACE.

I was able to upgrade till ACE 6.0.7 with less success with the documentation here and more success with Angel Borroy's off-site walkthroughs.

A telling sign that despite the fact it is a 201911 release, and today is 202007, still there is no (mandatory) label for it...

I have chosen the path of not using any SSL between the search engine and the ACE. Pointed the database and the content store to the previous upgrade step.

Which program should be fired up first, then next? Search engine or the ACE? ActiveMQ? alfresco-pdf-renderer?

--------------------------------------------------------------------------------------------------------------------------------

So the startup errors in ACE:

2020-07-28 14:08:30,343 ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-2] 06280000 Failed to connect
or to read the response from T-Engine on http://localhost:8090/transform/config

What happened to the transforms subsystem? Where is it documented for ACE? Where port 8090 comes from?

--------------------------------------------------------------------------------------------------------------------------------

2020-07-28 14:08:33,798 ERROR [web.context.ContextLoader] [localhost-startStop-1] Context initialization failed
org.alfresco.error.AlfrescoRuntimeException: 06280005 Keystores are invalid

Do I need keystores if don't use SSL?

 

--------------------------------------------------------------------------------------------------------------------------------

solr.log

2020-07-28 12:08:12.671 WARN (coreLoadExecutor-6-thread-1) [ x:alfresco] o.a.s.c.Config XML parse warning in "solrres:/solrconfig.xm
l", line 1919, column 88: Include operation failed, reverting to fallback. Resource error reading file as XML (href='solrconfig_insight
.xml'). Reason: Can't find resource 'solrconfig_insight.xml' in classpath or '/opt/alfresco-6.2.0/alfresco-search-services/solrhome/alfresco' ...

Just unzipped, as instructed, turned off SSL and did the modifications by the documentation. What next?

--------------------------------------------------------------------------------------------------------------------------------

2020-07-28 12:08:13.432 WARN (coreLoadExecutor-6-thread-2) [ x:archive] o.a.s.c.SolrResourceLoader Solr loaded a deprecated plugin/a
nalysis class [org.apache.solr.analysis.WordDelimiterFilterFactory]. Please consult documentation how to replace it accordingly.

Which documentation?

--------------------------------------------------------------------------------------------------------------------------------

2020-07-28 12:08:42.705 ERROR (searcherExecutor-7-thread-1-processing-x:archive) [ x:archive] o.a.s.t.AbstractTracker Model tracking
failed for core: archive
org.alfresco.error.AlfrescoRuntimeException: 06280000 archive GetModelsDiff return status is 404
at org.alfresco.solr.client.SOLRAPIClient.getModelsDiff(SOLRAPIClient.java:1183)

What is missing here?

4 Replies
Highlighted
Active Member

Re: Alfresco Community 6.2.0-ga ZIP installation / upgrade from 6.0.7 errors

Which program should be fired up first, then next? Search engine or the ACE? ActiveMQ? alfresco-pdf-renderer?

Sure ActiveMQ have to be running before ACE started, otherwise endless waiting for the Messaging subsystem

Highlighted
Active Member

Re: Alfresco Community 6.2.0-ga ZIP installation / upgrade from 6.0.7 errors

Do I need keystores if don't use SSL?

Don't be fooled by the https://docs.alfresco.com/community/tasks/alf-war-install.html page, and do not include

dir.keystore=${dir.root}/keystore

in shared/classes/alfresco-global.properties

Highlighted
Active Member

Re: Alfresco Community 6.2.0-ga ZIP installation / upgrade from 6.0.7 errors

What happened to the transforms subsystem? Where is it documented for ACE? Where port 8090 comes from?

transform.service.enabled=true
local.transform.service.enabled=true
legacy.transform.service.enabled=true

 

setting some of these to false is a good start on the way to booting

 

Source

Highlighted
Active Member

Re: Alfresco Community 6.2.0-ga ZIP installation / upgrade from 6.0.7 errors

Language translation is broken in Alfresco Community Edition 201911 GA.

The installation documentation https://docs.alfresco.com/community/tasks/configfiles-change-path.html is wrong, shared classloader must be configured like this:

shared.loader=${catalina.base}/shared/classes,${catalina.base}/shared/lib/*.jar

to pick up the translation jars placed according to the second best practices.

Despte the fact some jars picked up as advertised, it was necessary to overwrite original English configuration file slingshot.properties in

tomcat/webapps/share/WEB-INF/classes/alfresco/messages

Neither using jars nor placing the extracted slingshot_hu.properties  files in the exploded WEB_INF directory led to a Hungarian language Share UI.

In contrast to what was written in https://hub.alfresco.com/t5/alfresco-content-services-hub/language-packs/ba-p/290902 , it was not necessary to convert UTF8 to hex representation, that somehow broke the UI despite the fact the downloaded translation contained some, and those worked before touched by native2ascii.